# $Revision: 1.30 $, $Date: 2010/12/08 15:33:20 $
#
# Conditional build:
%bcond_with	tests	# perform "make test" (fetches URL passed interactively)
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	WWW
%define		pnam	Curl
Summary:	WWW::Curl::easy - Perl extension interface for libcurl
Summary(pl.UTF-8):	WWW::Curl::easy - interfejs perlowy do biblioteki libcurl
Name:		perl-WWW-Curl
Version:	4.15
Release:	1
License:	MPL or MIT/X
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-authors/id/S/SZ/SZBALINT/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	31c0b8c7e5e2d26bcc8213d702186d5f
URL:		http://curl.haxx.se/libcurl/perl/
BuildRequires:	curl-devel
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Obsoletes:	perl-Curl-easy
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
WWW::Curl::easy provides an interface to the libcurl C library
<http://curl.haxx.se/>.

Before v2.0, this module was called 'Curl::easy'. The name has changed
to better suit CPAN naming guidelines.

%description -l pl.UTF-8
WWW::Curl::easy dostarcza interfejs do biblioteki C libcurl
<http://curl.haxx.se/>.

Przed wersją 2.0 ten moduł nazywał się Curl::easy. Nazwa została
zmieniona, aby lepiej pasowała do wytycznych CPAN dotyczących
nazewnictwa.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	LD="%{__cc}" \
	OPTIMIZE="%{rpmcflags}" \
	OTHERLDFLAGS="%{rpmldflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{perl_vendorarch}/auto/WWW/Curl/.packlist

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/WWW/Curl.pm
%{perl_vendorarch}/WWW/Curl
%dir %{perl_vendorarch}/auto/WWW/Curl
%{perl_vendorarch}/auto/WWW/Curl/Curl.bs
%attr(755,root,root) %{perl_vendorarch}/auto/WWW/Curl/Curl.so
%{_mandir}/man3/WWW::Curl.3pm*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-WWW-Curl.spec,v $
Revision 1.30  2010/12/08 15:33:20  qboosh
- updated to 4.15

Revision 1.29  2010/11/08 18:44:06  shadzik
- rel 2

Revision 1.28  2010/10/26 09:22:01  lisu
- 4.14

Revision 1.27  2010/09/07 13:46:32  lisu
- rel 2

Revision 1.26  2010/09/07 13:39:58  lisu
- do not perform tests by default (thx glen)

Revision 1.25  2010/09/07 13:36:40  lisu
- up to 4.13
- why not enable tests by default?

Revision 1.24  2010/07/29 16:52:00  baggins
- rel 2

Revision 1.23  2010/07/08 07:50:22  lisu
- 4.12

Revision 1.22  2010/06/06 00:27:28  radek
- switch Source0 to by-authors index

Revision 1.21  2010/04/26 10:18:48  lisu
- 4.11

Revision 1.20  2009/07/15 09:45:27  lisu
- 4.09

Revision 1.19  2009/06/02 13:32:14  lisu
- 4.0.7

Revision 1.18  2009/04/07 07:00:53  lisu
- 4.0.6

Revision 1.17  2009/03/14 12:04:56  hawk
- release 3

Revision 1.16  2009/01/20 11:42:33  glen
- release 2

Revision 1.15  2008/12/11 18:30:50  glen
- check-files cleanup

Revision 1.14  2008/12/11 12:23:10  lisu
- 4.05

Revision 1.13  2008/09/24 15:05:46  sparky
- pass LD and use rpmldflags

Revision 1.12  2008/09/15 13:11:51  megabajt
- release 4

Revision 1.11  2008/02/10 12:23:41  arekm
- rel 3

Revision 1.10  2008-01-10 08:38:42  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.9  2007-07-03 09:12:41  arekm
- rel 2

Revision 1.8  2007/02/13 08:06:38  glen
- tabs in preamble

Revision 1.7  2007/02/12 01:06:23  baggins
- converted to UTF-8

Revision 1.6  2006/10/21 08:08:10  ankry
- ver. 3.02

Revision 1.5  2004/11/03 22:30:53  paladine
- formatting

Revision 1.4  2004/07/12 07:55:47  ankry
- rel. 2 to rebuild with curl-7.12

Revision 1.3  2004/05/04 13:34:33  ankry
- cosmetics

Revision 1.2  2004/04/15 09:35:57  ankry
- cosmetics

Revision 1.1  2003/12/12 16:06:14  qboosh
- new
